org.apache.poi.hmef.attribute

## Class MAPIRtfAttribute

- java.lang.Object
- - org.apache.poi.hmef.attribute.MAPIAttribute
  - - org.apache.poi.hmef.attribute.MAPIRtfAttribute

-     public final class MAPIRtfAttribute
      extends MAPIAttribute

  A pure-MAPI attribute holding RTF (compressed or not), which applies to a `HMEFMessage` or one of its `Attachment`s.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MAPIRtfAttribute(MAPIProperty property, int type, byte[] data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getData()` Returns the raw uncompressed RTF data
    `java.lang.String` | `getDataString()` Returns the uncompressed RTF as a string
    `byte[]` | `getRawData()` Returns the original, compressed RTF
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.hmef.attribute.MAPIAttribute

      `create, getProperty, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MAPIRtfAttribute

          public MAPIRtfAttribute(MAPIProperty property,
                                  int type,
                                  byte[] data)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getRawData

          public byte[] getRawData()

      Returns the original, compressed RTF

    - #### getData

          public byte[] getData()

      Returns the raw uncompressed RTF data
      Overrides:
        `getData` in class `MAPIAttribute`

    - #### getDataString

          public java.lang.String getDataString()

      Returns the uncompressed RTF as a string

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `MAPIAttribute`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.